Subject: RE: [manet] About IEEE802.11 model in OPNET]

From: Vikram Dham <[email-masked]>
Date: Thu, 4 Apr 2002 13:44:29 -0500

Hi All.

 John is right in his observation regarding the OPNET WLAN model. There is
work around for it.  In order to account for interference you shouldn't use
the receiver stat wire in wlan mac process model but create your own stat wire
and use that to determine whether the channel is busy or free.

I hope the above helps  and you are able to use OPNET model for your
simulations :)

With Best Regards

Vikram Dham
Graduate Research Assistant
Alexandria Research Institute
Virginia Tech,USA

> Aaron,
>
> I am sorry, not getting this message returned to me indicated I did not
> send it to the manet list.  There is more information on the
> deficiencies of the current OPNET wlan_mac model for ad hoc network
> modeling.  The specific problem you are having is alluded to in the
> text.  OPNET uses the receiver busy stat to indicate the channel busy
> condition.  It is set early in the pipeline stages based solely on
> whether the sender and the destination channels match.  The result is
> when one node transmits, all other nodes sense the channel busy
> regardless of separation distance.  This prevents spatial reuse and also
> eliminates the problems encountered in ad hoc networking, i.e. hidden
> node effects, exposed nodes, and the near far problem.  Please note,
> however, that a subsequent pipeline stage makes certain that you can
> only communicate to a node up to the distance specified in the range
> parameter that is set in the simulation attributes.  You will see
> packets fail based on separation distance.
>
> John
>

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: Vikram Dham <[email-masked]>
Date: Thu, 4 Apr 2002 13:44:29 -0500

Hi All.

With Best Regards

Vikram Dham